[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [avr-gcc-list] avr-gcc/avr-binutils/avr-libc and the ATMega168 - wh

From: E. Weddington
Subject: Re: [avr-gcc-list] avr-gcc/avr-binutils/avr-libc and the ATMega168 - what did I do wrong here, tnx!
Date: Fri, 28 Jan 2005 09:42:08 -0700
User-agent: Mozilla Thunderbird 0.7.3 (Windows/20040803)

Victoria Welch wrote:

Hello All,

I had an old avr tool suite from Gentoo linux's portage:

*  dev-embedded/avr-binutils
     Latest version available: 2.14
     Latest version installed: 2.15

*  dev-embedded/avr-gcc
     Latest version available: 3.3-r1
     Latest version installed: 3.4.3

*  dev-embedded/avr-libc
     Latest version available: 1.0.2-r1
     Latest version installed: 1.2.0

Had the latest version and today I emerged the masked stuff and created an ebuild for avr-libc 1.2.0 and emerged that giving me the "Latest version installed" versions per above.

Somehow I had the impression that this would add some of the newer devices, especially for me, the ATMega168. Apparently not or there is something I am missing.

The ATmega168 support (and some other devices) is currently in the form of a patch that resides on the avr-libc project page. This patch has been committed to Binutils HEAD (future 2.16) and GCC HEAD (future 4.0), but can also be applied to Binutils 2.15 and GCC 3.4.x (which is done for WinAVR).

Here's the link to the patch:
The patch is marked as closed because it's been already committed to the projects.

Also you should be aware that avr-libc 1.2.0 and greater already has support for these new devices, so a patch is not necessary for avr-libc. And you should also be aware that avr-libc just released version 1.2.1 yesterday. This release fixes a number of things in 1.2.0 so I would highly recommend that you use the latest version.

Good luck!


reply via email to

[Prev in Thread] Current Thread [Next in Thread]